unit u1;
interface

type
  TMyClass1 = class
  public
    procedure P;
  end;

procedure P;

implementation

procedure TMyClass1.P;
begin
  writeln(ClassName);
end;


procedure P;
begin
  writeln(1);
end;

end.